%define optdir /opt/balenaEtcher

%define _provides_exceptions libffmpeg.so()(64bit)\\|libudev.so.1()(64bit)
%define _requires_exceptions libffmpeg.so()(64bit)\\|libudev.so.1()(64bit)

%define oversion 1.18.11

Summary: Tool for writing ISO to USB stick
Name: balena-etcher
Version: 1.18.13
Release: %mkrel 2
License: GPL
Group: System/Configuration/Other
URL: https://www.balena.io/etcher/
Source0: balena-etcher.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar sd
Requires: gksu
AutoProv: no
Obsoletes: balena-etcher-electron
Provides: balena-etcher-electron = %version-%release

%description

%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir %buildroot

#export DONT_STRIP=1

%define deb_package balena-etcher_%{oversion}_amd64.deb

#download source
pushd $RPM_SOURCE_DIR
wget -nc "https://github.com/balena-io/etcher/releases/download/v%{oversion}/%deb_package"
# extract data from the deb package
ar p %{deb_package} data.tar.bz2 | bunzip2 | tar x -C %buildroot

popd

mkdir -p %buildroot/%{_bindir}
ln -fs /opt/balenaEtcher/balena-etcher %buildroot/%{_bindir}/balena-etcher

install -Dm 0644 %SOURCE0 %buildroot/%{_datadir}/applications/balena-etcher.desktop
sd "Utility;" "X-MandrivaLinux-System-FileTools;" %buildroot/%{_datadir}/applications/balena-etcher.desktop

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,-)
%optdir
%{_datadir}
%{_bindir}

%changelog
* Mon Oct 30 2023 tex - 1.18.13-2pclos2023
- switch to gksu
- back down to 1.18.11


* Tue Oct 24 2023 tex - 1.18.13-1pclos2023
- new version

